Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class POCDMT000040SectionImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.POCDMT000040SectionImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, POCDMT000040Section

    public class POCDMT000040SectionImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements POCDMT000040Section

An implementation of the model object 'POCDMT000040 Section'.

The following features are implemented:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Code`
- `Title`
- `Text`
- `Confidentiality Code`
- `Language Code`
- `Subject`
- `Author`
- `Informant`
- `Entry`
- `Component`
- `Class Code`
- `ID1`
- `Mood Code`
- `Null Flavor`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCode(CE newCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetConfidentialityCode(CE newConfidentialityCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetId(II newId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLanguageCode(CS1 newLanguageCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSubject(POCDMT000040Subject newSubject, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetText(StrucDocText newText, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTitle(ST1 newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` | `getAuthor()`
`org.eclipse.emf.common.util.Enumerator` | `getClassCode()`
`CE` | `getCode()`
`org.eclipse.emf.common.util.EList` | `getComponent()`
`CE` | `getConfidentialityCode()`
`org.eclipse.emf.common.util.EList` | `getEntry()`
`II` | `getId()`
`java.lang.String` | `getID1()`
`org.eclipse.emf.common.util.EList` | `getInformant()`
`CS1` | `getLanguageCode()`
`org.eclipse.emf.common.util.Enumerator` | `getMoodCode()`
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()`
`org.eclipse.emf.common.util.EList` | `getRealmCode()`
`POCDMT000040Subject` | `getSubject()`
`org.eclipse.emf.common.util.EList` | `getTemplateId()`
`StrucDocText` | `getText()`
`ST1` | `getTitle()`
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()`
`boolean` | `isSetClassCode()`
`boolean` | `isSetMoodCode()`
`void` | `setClassCode(org.eclipse.emf.common.util.Enumerator newClassCode)`
`void` | `setCode(CE newCode)`
`void` | `setConfidentialityCode(CE newConfidentialityCode)`
`void` | `setId(II newId)`
`void` | `setID1(java.lang.String newID1)`
`void` | `setLanguageCode(CS1 newLanguageCode)`
`void` | `setMoodCode(org.eclipse.emf.common.util.Enumerator newMoodCode)`
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)`
`void` | `setSubject(POCDMT000040Subject newSubject)`
`void` | `setText(StrucDocText newText)`
`void` | `setTitle(ST1 newTitle)`
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)`
`java.lang.String` | `toString()`
`void` | `unsetClassCode()`
`void` | `unsetMoodCode()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getRealmCode

    public org.eclipse.emf.common.util.EList getRealmCode()

  Specified by:
    `getRealmCode` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Section_RealmCode()`

### getTypeId

    public POCDMT000040InfrastructureRootTypeId getTypeId()

  Specified by:
    `getTypeId` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040Section.setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040Section_TypeId()`

### basicSetTypeId

    public org.eclipse.emf.common.notify.NotificationChain basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setTypeId

    public void setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)

  Specified by:
    `setTypeId` in interface `POCDMT000040Section`
  Parameters:
    `newTypeId` - the new value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040Section.getTypeId()`

### getTemplateId

    public org.eclipse.emf.common.util.EList getTemplateId()

  Specified by:
    `getTemplateId` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Section_TemplateId()`

### getId

    public II getId()

  Specified by:
    `getId` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Id' containment reference.
  See Also:
    `POCDMT000040Section.setId(II)`, `CDAR2Package.getPOCDMT000040Section_Id()`

### basicSetId

    public org.eclipse.emf.common.notify.NotificationChain basicSetId(II newId,
                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setId

    public void setId(II newId)

  Specified by:
    `setId` in interface `POCDMT000040Section`
  Parameters:
    `newId` - the new value of the 'Id' containment reference.
  See Also:
    `POCDMT000040Section.getId()`

### getCode

    public CE getCode()

  Specified by:
    `getCode` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `POCDMT000040Section.setCode(CE)`, `CDAR2Package.getPOCDMT000040Section_Code()`

### basicSetCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetCode(CE newCode,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setCode

    public void setCode(CE newCode)

  Specified by:
    `setCode` in interface `POCDMT000040Section`
  Parameters:
    `newCode` - the new value of the 'Code' containment reference.
  See Also:
    `POCDMT000040Section.getCode()`

### getTitle

    public ST1 getTitle()

  Specified by:
    `getTitle` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Title' containment reference.
  See Also:
    `POCDMT000040Section.setTitle(ST1)`, `CDAR2Package.getPOCDMT000040Section_Title()`

### basicSetTitle

    public org.eclipse.emf.common.notify.NotificationChain basicSetTitle(ST1 newTitle,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setTitle

    public void setTitle(ST1 newTitle)

  Specified by:
    `setTitle` in interface `POCDMT000040Section`
  Parameters:
    `newTitle` - the new value of the 'Title' containment reference.
  See Also:
    `POCDMT000040Section.getTitle()`

### getText

    public StrucDocText getText()

  Specified by:
    `getText` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Text' containment reference.
  See Also:
    `POCDMT000040Section.setText(StrucDocText)`, `CDAR2Package.getPOCDMT000040Section_Text()`

### basicSetText

    public org.eclipse.emf.common.notify.NotificationChain basicSetText(StrucDocText newText,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setText

    public void setText(StrucDocText newText)

  Specified by:
    `setText` in interface `POCDMT000040Section`
  Parameters:
    `newText` - the new value of the 'Text' containment reference.
  See Also:
    `POCDMT000040Section.getText()`

### getConfidentialityCode

    public CE getConfidentialityCode()

  Specified by:
    `getConfidentialityCode` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Confidentiality Code' containment reference.
  See Also:
    `POCDMT000040Section.setConfidentialityCode(CE)`, `CDAR2Package.getPOCDMT000040Section_ConfidentialityCode()`

### basicSetConfidentialityCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetConfidentialityCode(CE newConfidentialityCode,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setConfidentialityCode

    public void setConfidentialityCode(CE newConfidentialityCode)

  Specified by:
    `setConfidentialityCode` in interface `POCDMT000040Section`
  Parameters:
    `newConfidentialityCode` - the new value of the 'Confidentiality Code' containment reference.
  See Also:
    `POCDMT000040Section.getConfidentialityCode()`

### getLanguageCode

    public CS1 getLanguageCode()

  Specified by:
    `getLanguageCode` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Language Code' containment reference.
  See Also:
    `POCDMT000040Section.setLanguageCode(CS1)`, `CDAR2Package.getPOCDMT000040Section_LanguageCode()`

### basicSetLanguageCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetLanguageCode(CS1 newLanguageCode,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setLanguageCode

    public void setLanguageCode(CS1 newLanguageCode)

  Specified by:
    `setLanguageCode` in interface `POCDMT000040Section`
  Parameters:
    `newLanguageCode` - the new value of the 'Language Code' containment reference.
  See Also:
    `POCDMT000040Section.getLanguageCode()`

### getSubject

    public POCDMT000040Subject getSubject()

  Specified by:
    `getSubject` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Subject' containment reference.
  See Also:
    `POCDMT000040Section.setSubject(POCDMT000040Subject)`, `CDAR2Package.getPOCDMT000040Section_Subject()`

### basicSetSubject

    public org.eclipse.emf.common.notify.NotificationChain basicSetSubject(POCDMT000040Subject newSubject,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setSubject

    public void setSubject(POCDMT000040Subject newSubject)

  Specified by:
    `setSubject` in interface `POCDMT000040Section`
  Parameters:
    `newSubject` - the new value of the 'Subject' containment reference.
  See Also:
    `POCDMT000040Section.getSubject()`

### getAuthor

    public org.eclipse.emf.common.util.EList getAuthor()

  Specified by:
    `getAuthor` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Author' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Section_Author()`

### getInformant

    public org.eclipse.emf.common.util.EList getInformant()

  Specified by:
    `getInformant` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Informant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Section_Informant()`

### getEntry

    public org.eclipse.emf.common.util.EList getEntry()

  Specified by:
    `getEntry` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Entry' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Section_Entry()`

### getComponent

    public org.eclipse.emf.common.util.EList getComponent()

  Specified by:
    `getComponent` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Component' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Section_Component()`

### getClassCode

    public org.eclipse.emf.common.util.Enumerator getClassCode()

  Specified by:
    `getClassCode` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `POCDMT000040Section.isSetClassCode()`, `POCDMT000040Section.unsetClassCode()`, `POCDMT000040Section.setClassCode(Enumerator)`, `CDAR2Package.getPOCDMT000040Section_ClassCode()`

### setClassCode

    public void setClassCode(org.eclipse.emf.common.util.Enumerator newClassCode)

  Specified by:
    `setClassCode` in interface `POCDMT000040Section`
  Parameters:
    `newClassCode` - the new value of the 'Class Code' attribute.
  See Also:
    `POCDMT000040Section.isSetClassCode()`, `POCDMT000040Section.unsetClassCode()`, `POCDMT000040Section.getClassCode()`

### unsetClassCode

    public void unsetClassCode()

  Specified by:
    `unsetClassCode` in interface `POCDMT000040Section`
  See Also:
    `POCDMT000040Section.isSetClassCode()`, `POCDMT000040Section.getClassCode()`, `POCDMT000040Section.setClassCode(Enumerator)`

### isSetClassCode

    public boolean isSetClassCode()

  Specified by:
    `isSetClassCode` in interface `POCDMT000040Section`
  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `POCDMT000040Section.unsetClassCode()`, `POCDMT000040Section.getClassCode()`, `POCDMT000040Section.setClassCode(Enumerator)`

### getID1

    public java.lang.String getID1()

  Specified by:
    `getID1` in interface `POCDMT000040Section`
  Returns:
    the value of the 'ID1' attribute.
  See Also:
    `POCDMT000040Section.setID1(String)`, `CDAR2Package.getPOCDMT000040Section_ID1()`

### setID1

    public void setID1(java.lang.String newID1)

  Specified by:
    `setID1` in interface `POCDMT000040Section`
  Parameters:
    `newID1` - the new value of the 'ID1' attribute.
  See Also:
    `POCDMT000040Section.getID1()`

### getMoodCode

    public org.eclipse.emf.common.util.Enumerator getMoodCode()

  Specified by:
    `getMoodCode` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Mood Code' attribute.
  See Also:
    `POCDMT000040Section.isSetMoodCode()`, `POCDMT000040Section.unsetMoodCode()`, `POCDMT000040Section.setMoodCode(Enumerator)`, `CDAR2Package.getPOCDMT000040Section_MoodCode()`

### setMoodCode

    public void setMoodCode(org.eclipse.emf.common.util.Enumerator newMoodCode)

  Specified by:
    `setMoodCode` in interface `POCDMT000040Section`
  Parameters:
    `newMoodCode` - the new value of the 'Mood Code' attribute.
  See Also:
    `POCDMT000040Section.isSetMoodCode()`, `POCDMT000040Section.unsetMoodCode()`, `POCDMT000040Section.getMoodCode()`

### unsetMoodCode

    public void unsetMoodCode()

  Specified by:
    `unsetMoodCode` in interface `POCDMT000040Section`
  See Also:
    `POCDMT000040Section.isSetMoodCode()`, `POCDMT000040Section.getMoodCode()`, `POCDMT000040Section.setMoodCode(Enumerator)`

### isSetMoodCode

    public boolean isSetMoodCode()

  Specified by:
    `isSetMoodCode` in interface `POCDMT000040Section`
  Returns:
    whether the value of the 'Mood Code' attribute is set.
  See Also:
    `POCDMT000040Section.unsetMoodCode()`, `POCDMT000040Section.getMoodCode()`, `POCDMT000040Section.setMoodCode(Enumerator)`

### getNullFlavor

    public org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Specified by:
    `getNullFlavor` in interface `POCDMT000040Section`
  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040Section.setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040Section_NullFlavor()`

### setNullFlavor

    public void setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)

  Specified by:
    `setNullFlavor` in interface `POCDMT000040Section`
  Parameters:
    `newNullFlavor` - the new value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040Section.getNullFlavor()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD